| PST SDK 6.0.0.0-272350a

Public Member Functions | Private Attributes | List of all members
PSTech::PSTException Class Reference
Pstsdk

Generic tracker exception. More...

`#include <TrackerExceptions.h>`

Inheritance diagram for PSTech::PSTException:
[legend]
Collaboration diagram for PSTech::PSTException:
[legend]

## Public Member Functions
| PSTException (const char *what)
| PSTException (const PSTException &other)
| PSTException (PSTException &&other) noexcept
| PSTException (const char *function, int line, const char *what)
virtual | ~PSTException ()
virtual const char * | what () const
virtual const char * | where () const
virtual const char * | full_description () const

## Private Attributes
char * | m_what
char * | m_where
char * | m_full

## Detailed Description

Base class defining exceptions being thrown by the PST. Specific instances of this class are defined using the DECLARE_PST_EXCEPTION macro.

## Constructor & Destructor Documentation

## ◆ PSTException() [1/4]

PSTech::PSTException::PSTException | ( | const char * | what | ) |
| explicit

## ◆ PSTException() [2/4]

PSTech::PSTException::PSTException | ( | const PSTException & | other | ) |

## ◆ PSTException() [3/4]

PSTech::PSTException::PSTException | ( | PSTException && | other | ) |
| noexcept

## ◆ PSTException() [4/4]

PSTech::PSTException::PSTException | ( | const char * | function,
|  | int | line,
|  | const char * | what
| ) |  |

## ◆ ~PSTException()

virtual PSTech::PSTException::~PSTException | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ full_description()

virtual const char* PSTech::PSTException::full_description | ( |  | ) | const
| virtual

Returns a string containing the location and message of the error.

Examples:
  exposure.cpp, images.cpp, listener.cpp, reference.cpp, restserver.cpp, sharedmemory.cpp, and trackingtarget.cpp.

## ◆ what()

virtual const char* PSTech::PSTException::what | ( |  | ) | const
| virtual

Message describing the exception.

Examples:
  reference.cpp.

## ◆ where()

virtual const char* PSTech::PSTException::where | ( |  | ) | const
| virtual

Location in the code where the exception occured.

## Member Data Documentation

## ◆ m_full

char* PSTech::PSTException::m_full
| private

## ◆ m_what

char* PSTech::PSTException::m_what
| private

## ◆ m_where

char* PSTech::PSTException::m_where
| private

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/cpp/include/TrackerExceptions.h